logo
Welcome Guest! To enable all features please Login or Register.

Notification

Icon
Error

Options
Go to last post Go to first unread
rhnatiuk  
#1 Posted : Friday, February 2, 2024 8:52:05 AM(UTC)
rhnatiuk

Rank: Advanced Member

Groups: Registered
Joined: 4/30/2019(UTC)
Posts: 46
Man
Finland
Location: Raisio

Thanks: 11 times
Was thanked: 3 time(s) in 2 post(s)
Hi! Is there any hope that pdfium.dll will be upgraded to something newer than 2704, which is 6 years old?

We constantly have problems related to this fact (the last problem was with the support of fonts and font substitutions, and that was fixed in pdfium about 6 years ago). We have similar issues rather regularly.

If not, is the library still maintained? Because 6 years old code is ancient.

Thank you for your answer!

Edited by user Friday, February 2, 2024 8:53:13 AM(UTC)  | Reason: Not specified

rhnatiuk  
#2 Posted : Tuesday, February 6, 2024 3:39:48 AM(UTC)
rhnatiuk

Rank: Advanced Member

Groups: Registered
Joined: 4/30/2019(UTC)
Posts: 46
Man
Finland
Location: Raisio

Thanks: 11 times
Was thanked: 3 time(s) in 2 post(s)
Paul Rayman , any answer?
thanks 1 user thanked rhnatiuk for this useful post.
ju1989 on 6/6/2024(UTC)
Paul Rayman  
#3 Posted : Monday, February 19, 2024 5:03:43 AM(UTC)
Paul Rayman

Rank: Administration

Groups: Administrators
Joined: 1/5/2016(UTC)
Posts: 1,097

Thanks: 7 times
Was thanked: 128 time(s) in 125 post(s)
Hello,

We continuously change, improve and fix the engine and at the same time maintain our own version numbering. The library is supported. If you experience font errors, please contact support at support@patаgames.com.
rhnatiuk  
#4 Posted : Thursday, March 28, 2024 7:28:27 AM(UTC)
rhnatiuk

Rank: Advanced Member

Groups: Registered
Joined: 4/30/2019(UTC)
Posts: 46
Man
Finland
Location: Raisio

Thanks: 11 times
Was thanked: 3 time(s) in 2 post(s)
Paul,

Originally Posted by: Paul Rayman Go to Quoted Post

We continuously change, improve and fix the engine and at the same time maintain our own version numbering. The library is supported. If you experience font errors, please contact support at support@patаgames.com.


Version 2704 of pdfium is from May 2016 or 8 years old. The current version is 6384. Any plans to upgrade?
thanks 2 users thanked rhnatiuk for this useful post.
ju1989 on 6/6/2024(UTC), dchasman on 6/8/2024(UTC)
ju1989  
#5 Posted : Thursday, June 6, 2024 5:27:11 AM(UTC)
ju1989

Rank: Member

Groups: Registered
Joined: 6/1/2016(UTC)
Posts: 27
Germany
Location: Hessen

Thanks: 2 times
Was thanked: 1 time(s) in 1 post(s)
Hej Paul/Patagames.

That's pretty important to us. We would like to say: “Yes, dear customer, this PDF error CVE-5678.... is also known to us. You know, as we told you: Inside, there is PDFIUM under the hood. So, rest assured, as soon as Google has fixed it, it will be fixed relatively quickly for us too"...

But we can't say that as long as it seems possible that we are licensing a product that is essentially based on an 8 year old PDFIUM (for which there is a long list of known security issues, e.g. https://cve.mitre.org/cg...ekey.cgi?keyword=PDFium)
thanks 1 user thanked ju1989 for this useful post.
dchasman on 6/8/2024(UTC)
Users browsing this topic
Forum Jump  
You cannot post new topics in this forum.
You cannot reply to topics in this forum.
You cannot delete your posts in this forum.
You cannot edit your posts in this forum.
You cannot create polls in this forum.
You cannot vote in polls in this forum.